% File src/library/base/man/file.choose.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2008 R Core Team
% Distributed under GPL 2 or later

\name{file.choose}
\alias{file.choose}
\title{Choose a File Interactively}
\description{
 ファイルを対話的に選択する．
}
\usage{
file.choose(new = FALSE)
}
\arguments{
 \item{new}{論理値：ユーザに提示されるダイアログボックスのスタイルを選ぶ：
     現在 new = FALSE だけが使われる．}
}
\value{
  ファイルパスを与える長さ1の文字列．
#ifdef windows
  Unicode のファイル選択ダイアログボックスが使われるため，これはマークされた UTF-8 文字列である．
#endif
}

\seealso{非対話的な選択には \code{\link{list.files}}．
#ifdef windows
複数ファイルの対話的選択には \code{\link{choose.files}}．
#endif
}
\keyword{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/file.choose.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2008 R Core Team
%% Distributed under GPL 2 or later
%
%\name{file.choose}
%\alias{file.choose}
%\title{Choose a File Interactively}
%\description{
% Choose a file interactively.
%}
%\usage{
%file.choose(new = FALSE)
%}
%\arguments{
% \item{new}{Logical: choose the style of dialog box
%     presented to the user: at present only new = FALSE is used.}
%}
%\value{
%  A character vector of length one giving the file path.
%#ifdef windows
%  This will be a marked UTF-8 string, as a Unicode file selection dialog
%  box is used.
%#endif
%}
%
%\seealso{\code{\link{list.files}} for non-interactive selection.
%#ifdef windows
%\code{\link{choose.files}} for selecting multiple files interactively.
%#endif
%}
%\keyword{file}
%
\encoding{UTF8}
